search menu icon-carat-right cmu-wordmark

CERT Coordination Center

Apache mod_jk2 host header buffer overflow

Vulnerability Note VU#771937

Original Release Date: 2008-02-14 | Last Revised: 2008-04-29

Overview

A vulnerability exists in the legacy version of the mod_jk2 Apache module. If successfully exploited, the vulnerability may allow an attacker to run arbitrary code on affected system.

Description

The host header field allows HTTP 1.1 (RFC 2616) compliant servers to host multiple domains using a single IP address.

Per the IOActive Security Advisory Multiple Buffer Overflows in legacy mod_jk2 apache module 2.0.3-DEV and earlier:
mod_jk2 versions less than 2.0.4 are vulnerable to multiple stack overflow vulnerabilities. Specifically, IOActive has discovered multiple
locations where these vulnerabilities are exploitable via the Host request header in any given request. These overflows all result in remote
code execution under the user of the running apache process. Although a legacy module which is end of life, certain vendors may use this
module in their products rendering them vulnerable to remote exploitation.

Impact

A remote, unauthenticated attacker may be able to execute arbitrary code.

Solution

Upgrade

mod_jk2 2.0.4 addresses this issue.

Vendor Information

771937
 
Affected   Unknown   Unaffected

Apache HTTP Server Project

Notified:  January 10, 2008 Updated:  February 14, 2008

Status

  Vulnerable

Vendor Statement

No statement is currently available from the vendor regarding this vulnerability.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

See http://today.java.net/pub/n/mod_jk22.0.4 for more details.

If you have feedback, comments, or additional information about this vulnerability, please send us email.

F5 Networks, Inc.

Notified:  February 15, 2008 Updated:  February 18, 2008

Status

  Vulnerable

Vendor Statement

No statement is currently available from the vendor regarding this vulnerability.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

Please see https://support.f5.com/kb/en-us/solutions/public/7000/800/sol7886.html?sr=460979 (login required).

If you have feedback, comments, or additional information about this vulnerability, please send us email.


CVSS Metrics

Group Score Vector
Base N/A N/A
Temporal N/A N/A
Environmental N/A

References

Credit

Thanks to IOActive for information that was used in this report.

This document was written by Ryan Giobbi.

Other Information

CVE IDs: CVE-2007-6258
Severity Metric: 4.80
Date Public: 2008-02-13
Date First Published: 2008-02-14
Date Last Updated: 2008-04-29 15:51 UTC
Document Revision: 11

Sponsored by the Department of Homeland Security Office of Cybersecurity and Communications.